## org.apache.tools.ant.types.optional.image
Class Arc

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.optional.image.ImageOperation
                        |
                        +--org.apache.tools.ant.types.optional.image.BasicShape
                              |
                              +--org.apache.tools.ant.types.optional.image.Arc

All Implemented Interfaces:
  DrawOperation

public class Arc
extends BasicShape
implements DrawOperation

Field Summary
`protected int` `height`
`protected int` `start`
`protected int` `stop`
`protected int` `type`
`protected int` `width`

Fields inherited from class org.apache.tools.ant.types.optional.image.BasicShape
`fill, stroke, stroke_width`

Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Arc()`

Method Summary
`javax.media.jai.PlanarImage` `executeDrawOperation()` Abstract method which is intended to create an image buffer and return it so it can be drawn into another object.
`void` `setHeight(int height)`
`void` `setStart(int start)`
`void` `setStop(int stop)`
`void` `setType(java.lang.String str_type)`
`void` `setWidth(int width)`

Methods inherited from class org.apache.tools.ant.types.optional.image.BasicShape
`setFill, setStroke, setStrokewidth`

Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`addDraw, addRectangle, addRotate, addScale, addText`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    protected int width

### height

    protected int height

### start

    protected int start

### stop

    protected int stop

### type

    protected int type

Constructor Detail

### Arc

    public Arc()

Method Detail

### setWidth

    public void setWidth(int width)

### setHeight

    public void setHeight(int height)

### setStart

    public void setStart(int start)

### setStop

    public void setStop(int stop)

### setType

    public void setType(java.lang.String str_type)

  To do:
    refactor using an EnumeratedAttribute

### executeDrawOperation

    public javax.media.jai.PlanarImage executeDrawOperation()

  Description copied from interface: `DrawOperation`
  Abstract method which is intended to create an image buffer and return it so it can be drawn into another object. Use an Alpha channel for a "transparent" background.

  Specified by:
    `executeDrawOperation` in interface `DrawOperation`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.